# Docs For Class FileMaker_Error

## Class FileMaker_Error

Description

Extension of the PEAR_Error class for use in all FileMaker classes.

Located in /FileMaker/Error.php (line 31)

    PEAR_Error
       |
       --FileMaker_Error

Direct descendents

Class | Description
--- | ---
FileMaker_Error_Validation | Extension of the FileMaker_Error class that adds information about pre-validation errors.

Method Summary
FileMaker_Error FileMaker_Error (FileMaker_Delegate &$fm, [string $message = null], [integer $code = null])
string getErrorString ()
string getMessage ()
boolean isValidationError ()
Methods
Constructor FileMaker_Error (line 49)

Overloaded FileMaker_Error constructor.

FileMaker_Error FileMaker_Error (FileMaker_Delegate &$fm, [string $message = null], [integer $code = null])

- FileMaker_Delegate &$fm: FileMaker_Delegate object this error came from.
- string $message: Error message.
- integer $code: Error code.

getErrorString (line 83)

Returns the string representation of $this->code in the language currently set for PHP error messages in FileMaker Server Admin Console.

You should call getMessage() in most cases, if you are not sure whether the error is a FileMaker Web Publishing Engine error with an error code.

- return: Error description.

string getErrorString ()
getMessage (line 65)

Overloads getMessage() to return an equivalent FileMaker Web Publishing Engine error if no message is explicitly set and this object has an error code.

- return: Error message.

string getMessage ()
isValidationError (line 113)

Indicates whether the error is a detailed pre-validation error or a FileMaker Web Publishing Engine error.

- return: FALSE, to indicate that this is an error from the Web Publishing Engine.

boolean isValidationError ()

Redefined in descendants as:

- FileMaker_Error_Validation::isValidationError() : Indicates whether the error is a detailed pre-validation error or a FileMaker Web Publishing Engine error.

Documentation generated on Mon, 28 Jul 2008 14:47:44 -0700 by phpDocumentor 1.4.0